<template lang="pug">
  .container
    h1.h1 Members
    ul.unstyled-ul.row.pl-0
      li.col-xl-3.col-lg-4.col-md-6.col-sm-12(v-for="member in members")
        .card.mb-4(:class="'border-' + statusClasses[member.status]")
          .member-photo
            img.member-photo__background(:src="member.photos[0]")
            img.member-photo__image(:src="member.photos[0]")
          b.member-state(
            :class="'text-' + statusClasses[member.status]"
          ) {{member.status}}
          .card-body
            h5.card-title {{member.firstname}} {{member.secondname}}
            p
              b Создана:
              time(:datetime="member.created")  {{member.created | toRussianDate}}
</template>

<script>
const members = [
  {
    id: '1',
    firstname: 'Регина',
    secondname: 'Тодоренко',
    birthday: '1990-06-14',
    created: '2018-01-28T08:33:38.416Z',
    city: 'Тегусигальпа',
    photos: [
      'http://www.maximonline.ru.ae.x/images/th/3/72/33401-ZmE3NzdjODZlZg.jpg',
      'http://www.maximonline.ru.ae.x/images/th/3/72/33400-YmUzM2M0NjgwOQ.jpg',
      'http://www.maximonline.ru.ae.x/images/th/3/72/33399-MmEyYWUwNzE3Ng.jpg',
      'http://www.maximonline.ru.ae.x/images/th/3/72/33398-YTdiMzBjZWNkNA.jpg',
      'http://www.maximonline.ru.ae.x/images/th/3/72/33397-OWNhYWZmYWNhOA.jpg'
    ],
    email: 'rtodor1988@list.ru',
    phone: '+7 (926) 159-75-44',
    status: 'inprogress'
  }
]

for (let i = 0; i < 19; i++) {
  members.push(members[0])
}

export default {
  name: 'HelloWorld',
  data () {
    return {
      members,
      statusClasses: {
        new: 'info',
        inprogress: 'primary',
        approved: 'success',
        declined: 'danger'
      }
    }
  },
  filters: {
    ages (date) {
      const birthday = new Date(date)
      const timeAgo = new Date()
      timeAgo.setTime(Date.now() - birthday.getTime())
      const age = timeAgo.getFullYear() - 1970
      switch (age % 10) {
        case 1:
          return `${age} год`
        case 2:
        case 3:
        case 4:
          return `${age} года`
        default:
          return `${age} лет`
      }
    },
    toRussianDate: (date) => (new Date(date)).toLocaleDateString('ru')
  }
}
</script>

<style scoped>
  .member-photo {
    height: 255px;
    width: 100%;
    position: relative;
    overflow: hidden;
  }
  .member-photo__background,
  .member-photo__image {
    height: 100%;
    width: 100%;
    position: absolute;
    top: 0;
    left: 0;
    object-fit: contain
  }
  .member-photo__background {
    object-fit: cover;
    filter: blur(4px) brightness(80%);
    z-index: 0;
    background-color: #ddd;
  }

  .member-state {
    line-height: 20px;
    background: #fff;
    padding: 0 5px 3px;
    border-radius: 0 2px 0 5px;
  }
  .member-state::after {
    content: ' •';
    font-size: 30px;
    vertical-align: bottom;
  }

  .unstyled-ul {
    list-style: none;
  }
</style>
